#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# FIXME KDE_CXXFLAGS = $(USE_RTTI)

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )
tde_import( libtdepim )

tde_import( libksieve )
tde_import( mimelib )
tde_import( libtdenetwork )
tde_import( certmanager )
tde_import( libkpimidentities )
tde_import( libkpgp )
tde_import( kmail )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${CMAKE_SOURCE_DIR}/mimelib
  ${CMAKE_SOURCE_DIR}/libkmime
  ${CMAKE_SOURCE_DIR}/libemailfunctions
  ${CMAKE_SOURCE_DIR}/kmail
  ${CMAKE_SOURCE_DIR}/korganizer
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE text_vcard.desktop text_calendar.desktop text_xdiff.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kmail/plugins/bodypartformatter
  PO_DIR kmail-plugins-desktops
)


##### libkmail_bodypartformatter_text_vcard (module)

tde_add_kpart( libkmail_bodypartformatter_text_vcard AUTOMOC
  SOURCES
    text_vcard.cpp
  LINK tdepim-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkmail_bodypartformatter_text_calendar (module)

tde_add_kpart( libkmail_bodypartformatter_text_calendar AUTOMOC
  SOURCES
    text_calendar.cpp delegateselector.cpp attendeeselector.cpp
    ui_attendeeselector.ui ${CMAKE_SOURCE_DIR}/korganizer/kcalendariface.stub
  LINK kmailprivate-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkmail_bodypartformatter_text_xdiff (module)

tde_add_kpart( libkmail_bodypartformatter_text_xdiff AUTOMOC
  SOURCES
    text_xdiff.cpp
  LINK ${TQT_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
